--- old/usr/src/uts/common/avs/ns/rdc/rdc_bitmap.c	2014-10-23 11:04:51.154882594 -0400
+++ new/usr/src/uts/common/avs/ns/rdc/rdc_bitmap.c	2014-10-23 11:04:51.159967317 -0400
@@ -630,10 +630,6 @@
 	if (data != NULL) {
 		data->data = kmem_alloc(krdc->bitmap_size, KM_SLEEP);
 		data->len = krdc->bitmap_size;
-
-		if (data->data == NULL) {
-			return (-1);
-		}
 	}
 
 	mutex_enter(&krdc->bmapmutex);
--- old/usr/src/uts/common/avs/ns/rdc/rdc_io.c	2014-10-23 11:04:51.409353879 -0400
+++ new/usr/src/uts/common/avs/ns/rdc/rdc_io.c	2014-10-23 11:04:51.417137953 -0400
@@ -333,14 +333,8 @@
 		rdc_max_sets = 1024;
 
 	rdc_k_info = kmem_zalloc(sizeof (*rdc_k_info) * rdc_max_sets, KM_SLEEP);
-	if (!rdc_k_info)
-		return (ENOMEM);
 
 	rdc_u_info = kmem_zalloc(sizeof (*rdc_u_info) * rdc_max_sets, KM_SLEEP);
-	if (!rdc_u_info) {
-		kmem_free(rdc_k_info, sizeof (*rdc_k_info) * rdc_max_sets);
-		return (ENOMEM);
-	}
 
 	net_exit = ATM_NONE;
 	for (i = 0; i < rdc_max_sets; i++) {
--- old/usr/src/uts/common/avs/ns/solaris/nsc_raw.c	2014-10-23 11:04:51.777739333 -0400
+++ new/usr/src/uts/common/avs/ns/solaris/nsc_raw.c	2014-10-23 11:04:51.782635367 -0400
@@ -119,8 +119,6 @@
 {
 	_nsc_raw_files =
 	    kmem_zalloc(sizeof (*_nsc_raw_files) * maxdevs, KM_SLEEP);
-	if (!_nsc_raw_files)
-		return (ENOMEM);
 
 	_nsc_raw_maxdevs = maxdevs;
 	_nsc_raw_majors = NULL;
@@ -304,11 +302,6 @@
 
 	plen = strlen(path) + 1;
 	spath = kmem_alloc(plen, KM_SLEEP);
-	if (spath == NULL) {
-		cmn_err(CE_WARN,
-		    "nskern: unable to alloc memory in _raw_open()");
-		return (ENOMEM);
-	}
 
 	(void) strcpy(spath, path);
 
--- old/usr/src/uts/common/avs/ns/sv/sv.c	2014-10-23 11:04:51.940581111 -0400
+++ new/usr/src/uts/common/avs/ns/sv/sv.c	2014-10-23 11:04:51.945768222 -0400
@@ -1948,10 +1948,6 @@
 		/* Allocate memory for the array of structures */
 		if (bytes != 0) {
 			svn = kmem_zalloc(bytes, KM_SLEEP);
-			if (!svn) {
-				return (spcs_s_ocopyoutf(&kstatus,
-				    ustatus, ENOMEM));
-			}
 		}
 
 		rc = sv_list(svn, size, rvalp, ilp32);
--- old/usr/src/uts/common/crypto/io/dca.c	2014-10-23 11:04:52.164546875 -0400
+++ new/usr/src/uts/common/crypto/io/dca.c	2014-10-23 11:04:52.169687289 -0400
@@ -1679,16 +1679,8 @@
 	 * cannot be found. From initial testing, we did not see performance
 	 * degradation as seen on Sparc.
 	 */
-	if ((reqp->dr_ibuf_kaddr = kmem_alloc(size, KM_SLEEP)) == NULL) {
-		dca_error(dca, "unable to alloc request ibuf memory");
-		dca_destroyreq(reqp);
-		return (NULL);
-	}
-	if ((reqp->dr_obuf_kaddr = kmem_alloc(size, KM_SLEEP)) == NULL) {
-		dca_error(dca, "unable to alloc request obuf memory");
-		dca_destroyreq(reqp);
-		return (NULL);
-	}
+	reqp->dr_ibuf_kaddr = kmem_alloc(size, KM_SLEEP);
+	reqp->dr_obuf_kaddr = kmem_alloc(size, KM_SLEEP);
 #else
 	/*
 	 * We could kmem_alloc for Sparc too. However, it gives worse
--- old/usr/src/uts/common/crypto/io/dca_rng.c	2014-10-23 11:04:52.488955685 -0400
+++ new/usr/src/uts/common/crypto/io/dca_rng.c	2014-10-23 11:04:52.493736426 -0400
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * Deimos - cryptographic acceleration based upon Broadcom 582x.
  */
@@ -216,18 +214,9 @@
 	/* Mutex for the local random number pool */
 	mutex_init(&dca->dca_random_lock, NULL, MUTEX_DRIVER, NULL);
 
-	if ((dca->dca_buf1 = kmem_alloc(RANDOM_BUFFER_SIZE, KM_SLEEP)) ==
-	    NULL) {
-		mutex_destroy(&dca->dca_random_lock);
-		return (CRYPTO_FAILED);
-	}
+	dca->dca_buf1 = kmem_alloc(RANDOM_BUFFER_SIZE, KM_SLEEP);
 
-	if ((dca->dca_buf2 = kmem_alloc(RANDOM_BUFFER_SIZE, KM_SLEEP)) ==
-	    NULL) {
-		mutex_destroy(&dca->dca_random_lock);
-		kmem_free(dca->dca_buf1, RANDOM_BUFFER_SIZE);
-		return (CRYPTO_FAILED);
-	}
+	dca->dca_buf2 = kmem_alloc(RANDOM_BUFFER_SIZE, KM_SLEEP);
 
 	return (CRYPTO_SUCCESS);
 }
--- old/usr/src/uts/common/crypto/io/dprov.c	2014-10-23 11:04:52.640285850 -0400
+++ new/usr/src/uts/common/crypto/io/dprov.c	2014-10-23 11:04:52.645626148 -0400
@@ -9138,8 +9138,6 @@
 
 	/* allocate new object */
 	object = kmem_zalloc(sizeof (dprov_object_t), KM_SLEEP);
-	if (object == NULL)
-		return (CRYPTO_HOST_MEMORY);
 
 	/* is it a token object? */
 	/* check CKA_TOKEN attribute value */
--- old/usr/src/uts/common/fs/nfs/nfs_sys.c	2014-10-23 11:04:53.063002581 -0400
+++ new/usr/src/uts/common/fs/nfs/nfs_sys.c	2014-10-23 11:04:53.067770282 -0400
@@ -343,8 +343,6 @@
 		if (nfs4_dss_buflen == 0)
 			return (set_errno(EINVAL));
 		nfs4_dss_bufp = kmem_alloc(nfs4_dss_buflen, KM_SLEEP);
-		if (nfs4_dss_bufp == NULL)
-			return (set_errno(ENOMEM));
 
 		if (copyin(arg, nfs4_dss_bufp, nfs4_dss_buflen)) {
 			kmem_free(nfs4_dss_bufp, nfs4_dss_buflen);
--- old/usr/src/uts/common/fs/ufs/ufs_acl.c	2014-10-23 11:04:53.219912880 -0400
+++ new/usr/src/uts/common/fs/ufs/ufs_acl.c	2014-10-23 11:04:53.226933230 -0400
@@ -740,8 +740,7 @@
 	if (vsap->vsa_mask & VSA_ACL) {
 		vsap->vsa_aclentp = kmem_zalloc(4 * sizeof (aclent_t),
 		    KM_SLEEP);
-		if (vsap->vsa_aclentp == NULL)
-			return (ENOMEM);
+
 		aclentp = vsap->vsa_aclentp;
 
 		/* Owner */
--- old/usr/src/uts/common/io/aac/aac.c	2014-10-23 11:04:53.472390150 -0400
+++ new/usr/src/uts/common/io/aac/aac.c	2014-10-23 11:04:53.477657456 -0400
@@ -6194,10 +6194,6 @@
 	softs->total_slots = softs->aac_max_fibs;
 	softs->io_slot = kmem_zalloc(sizeof (struct aac_slot) * \
 	    softs->total_slots, KM_SLEEP);
-	if (softs->io_slot == NULL) {
-		AACDB_PRINT(softs, CE_WARN, "Cannot allocate slot");
-		return (AACERR);
-	}
 	for (i = 0; i < softs->total_slots; i++)
 		softs->io_slot[i].index = i;
 	softs->free_io_slot_head = NULL;
--- old/usr/src/uts/common/io/arn/arn_phy.c	2014-10-23 11:04:53.869027337 -0400
+++ new/usr/src/uts/common/io/arn/arn_phy.c	2014-10-23 11:04:53.873827356 -0400
@@ -378,22 +378,10 @@
 		    kmem_zalloc((sizeof (uint32_t) *
 		    ahp->ah_iniAddac.ia_rows *
 		    ahp->ah_iniAddac.ia_columns), KM_SLEEP);
-		if (ahp->ah_addac5416_21 == NULL) {
-			ARN_DBG((ARN_DBG_FATAL, "arn: ath9k_hw_init_rf(): "
-			    "cannot allocate ah_addac5416_21\n"));
-			*status = ENOMEM;
-			return (B_FALSE);
-		}
 
 		ahp->ah_bank6Temp =
 		    kmem_zalloc((sizeof (uint32_t) *
 		    ahp->ah_iniBank6.ia_rows), KM_SLEEP);
-		if (ahp->ah_bank6Temp == NULL) {
-			ARN_DBG((ARN_DBG_FATAL, "arn: ath9k_hw_init_rf(): "
-			    "cannot allocate ah_bank6Temp\n"));
-			*status = ENOMEM;
-			return (B_FALSE);
-		}
 	}
 
 	return (B_TRUE);
--- old/usr/src/uts/common/io/beep.c	2014-10-23 11:04:54.024737517 -0400
+++ new/usr/src/uts/common/io/beep.c	2014-10-23 11:04:54.029950950 -0400
@@ -23,8 +23,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * This is the Beep module for supporting keyboard beep for keyboards
  * that do not have the beeping feature within themselves
@@ -113,12 +111,6 @@
 	    (int)sizeof (beep_entry_t) * beep_queue_size,
 	    (unsigned long)queue));
 
-	if (queue == NULL) {
-		BEEP_DEBUG((CE_WARN,
-		    "beep_init : kmem_zalloc of beep_queue failed."));
-		return (DDI_FAILURE);
-	}
-
 	beep_state.arg = arg;
 	beep_state.mode = BEEP_OFF;
 	beep_state.beep_freq = beep_freq_func;
--- old/usr/src/uts/common/io/blkdev/blkdev.c	2014-10-23 11:04:54.181830320 -0400
+++ new/usr/src/uts/common/io/blkdev/blkdev.c	2014-10-23 11:04:54.186978116 -0400
@@ -1483,9 +1483,7 @@
 	if (bd->d_ops.o_sync_cache == NULL) {
 		return (ENOTSUP);
 	}
-	if ((bp = getrbuf(KM_SLEEP)) == NULL) {
-		return (ENOMEM);
-	}
+	bp = getrbuf(KM_SLEEP);
 	bp->b_resid = 0;
 	bp->b_bcount = 0;
 
--- old/usr/src/uts/common/io/comstar/lu/stmf_sbd/sbd.c	2014-10-23 11:04:54.413351821 -0400
+++ new/usr/src/uts/common/io/comstar/lu/stmf_sbd/sbd.c	2014-10-23 11:04:54.420362336 -0400
@@ -3369,9 +3369,7 @@
 	 *  we needed is 4k buffer to store the binary data.
 	 * -initialize reader/write lock
 	 */
-	if ((sl->sl_zfs_meta = kmem_zalloc(ZAP_MAXVALUELEN / 2, KM_SLEEP))
-	    == NULL)
-		return (SBD_FAILURE);
+	sl->sl_zfs_meta = kmem_zalloc(ZAP_MAXVALUELEN / 2, KM_SLEEP);
 	rw_init(&sl->sl_zfs_meta_lock, NULL, RW_DRIVER, NULL);
 	return (SBD_SUCCESS);
 }
--- old/usr/src/uts/common/io/comstar/port/pppt/pppt.c	2014-10-23 11:04:54.679656836 -0400
+++ new/usr/src/uts/common/io/comstar/port/pppt/pppt.c	2014-10-23 11:04:54.684733213 -0400
@@ -367,8 +367,6 @@
 		/* XXX limit buf_size ? */
 		buf_size = (size_t)iocd.pppt_buf_size;
 		buf = kmem_alloc(buf_size, KM_SLEEP);
-		if (buf == NULL)
-			return (ENOMEM);
 
 		rc = ddi_copyin((void *)(unsigned long)iocd.pppt_buf,
 		    buf, buf_size, flag);
--- old/usr/src/uts/common/io/fibre-channel/fca/qlc/ql_init.c	2014-10-23 11:04:54.865774231 -0400
+++ new/usr/src/uts/common/io/fibre-channel/fca/qlc/ql_init.c	2014-10-23 11:04:54.870978465 -0400
@@ -3254,11 +3254,6 @@
 
 	list_size = sizeof (ql_dev_id_list_t) * DEVICE_LIST_ENTRIES;
 	list = kmem_zalloc(list_size, KM_SLEEP);
-	if (list == NULL) {
-		rval = QL_MEMORY_ALLOC_FAILED;
-		EL(ha, "failed, rval = %xh\n", rval);
-		return (rval);
-	}
 
 	do {
 		/*
@@ -4092,10 +4087,6 @@
 	if (ha->vp_index != 0) {
 		pkt_size = sizeof (ql_mbx_iocb_t);
 		pkt = kmem_zalloc(pkt_size, KM_SLEEP);
-		if (pkt == NULL) {
-			EL(ha, "failed, kmem_zalloc\n");
-			return (QL_MEMORY_ALLOC_FAILED);
-		}
 
 		pkt->vpc.entry_type = VP_CONTROL_TYPE;
 		pkt->vpc.entry_count = 1;
@@ -4148,10 +4139,6 @@
 
 	pkt_size = sizeof (ql_mbx_iocb_t);
 	pkt = kmem_zalloc(pkt_size, KM_SLEEP);
-	if (pkt == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		return (QL_MEMORY_ALLOC_FAILED);
-	}
 
 	pkt->vpm.entry_type = VP_MODIFY_TYPE;
 	pkt->vpm.entry_count = 1;
--- old/usr/src/uts/common/io/fibre-channel/fca/qlc/ql_ioctl.c	2014-10-23 11:04:55.145495520 -0400
+++ new/usr/src/uts/common/io/fibre-channel/fca/qlc/ql_ioctl.c	2014-10-23 11:04:55.150454312 -0400
@@ -504,10 +504,6 @@
 	}
 
 	nv = kmem_zalloc(sizeof (*nv), KM_SLEEP);
-	if (nv == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		return (ENOMEM);
-	}
 
 	rval = ql_lock_nvram(ha, &start_addr, LNF_NVRAM_DATA);
 	if (rval != QL_SUCCESS) {
@@ -611,10 +607,6 @@
 		uint32_t	csum = 0;
 
 		nv = kmem_zalloc(sizeof (*nv), KM_SLEEP);
-		if (nv == NULL) {
-			EL(ha, "failed, kmem_zalloc\n");
-			return (ENOMEM);
-		}
 
 		nv->nvram_version[0] = LSB(ICB_24XX_VERSION);
 		nv->nvram_version[1] = MSB(ICB_24XX_VERSION);
@@ -688,10 +680,6 @@
 		uint8_t		csum;
 
 		nv = kmem_zalloc(sizeof (*nv), KM_SLEEP);
-		if (nv == NULL) {
-			EL(ha, "failed, kmem_zalloc\n");
-			return (ENOMEM);
-		}
 		/*
 		 * Set default initialization control block.
 		 */
@@ -940,10 +928,7 @@
 
 	QL_PRINT_9(CE_CONT, "(%d): started\n", ha->instance);
 
-	if ((nv = kmem_zalloc(ha->nvram_cache->size, KM_SLEEP)) == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		return (ENOMEM);
-	}
+	nv = kmem_zalloc(ha->nvram_cache->size, KM_SLEEP);
 
 	if (ddi_copyin(bp, nv, ha->nvram_cache->size, mode) != 0) {
 		EL(ha, "Buffer copy failed\n");
@@ -1162,10 +1147,7 @@
 
 	vpd_size = QL_24XX_VPD_SIZE;
 
-	if ((vpd = kmem_zalloc(vpd_size, KM_SLEEP)) == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		return (ENOMEM);
-	}
+	vpd = kmem_zalloc(vpd_size, KM_SLEEP);
 
 	if (ddi_copyin(bp, vpd, vpd_size, mode) != 0) {
 		EL(ha, "Buffer copy failed\n");
@@ -1304,11 +1286,7 @@
 		return (rval);
 	}
 
-	if ((vpd = kmem_zalloc(vpd_size, KM_SLEEP)) == NULL) {
-		CACHE_UNLOCK(ha);
-		EL(ha, "failed, kmem_zalloc\n");
-		return (ENOMEM);
-	}
+	vpd = kmem_zalloc(vpd_size, KM_SLEEP);
 
 	/* Quiesce I/O */
 	if (ql_stall_driver(ha, 0) != QL_SUCCESS) {
@@ -1576,10 +1554,7 @@
 	saddr = faddr & ~(bsize - 1);
 	ofst = faddr & (bsize - 1);
 
-	if ((bp = kmem_zalloc(bsize, KM_SLEEP)) == NULL) {
-		EL(ha, "kmem_zalloc=null\n");
-		return (QL_MEMORY_ALLOC_FAILED);
-	}
+	bp = kmem_zalloc(bsize, KM_SLEEP);
 
 	while (bc) {
 		xfer = bc > bsize ? bsize : bc;
@@ -2035,10 +2010,6 @@
 	QL_PRINT_9(CE_CONT, "(%d): started\n", ha->instance);
 
 	prop_name = kmem_zalloc(dop->length, KM_SLEEP);
-	if (prop_name == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		return (ENOMEM);
-	}
 
 	if (ddi_copyin((void *)(uintptr_t)dop->buffer, prop_name, dop->length,
 	    mode) != 0) {
@@ -2092,10 +2063,6 @@
 
 	if (ha->ql_dump_state & QL_DUMP_VALID) {
 		dmp = kmem_zalloc(ha->risc_dump_size, KM_SLEEP);
-		if (dmp == NULL) {
-			EL(ha, "failed, kmem_zalloc\n");
-			return (ENOMEM);
-		}
 
 		dop->length = (uint32_t)ql_ascii_fw_dump(ha, dmp);
 		if (ddi_copyout((void *)dmp, (void *)(uintptr_t)dop->buffer,
@@ -2221,10 +2188,7 @@
 
 	QL_PRINT_9(CE_CONT, "(%d): started\n", ha->instance);
 
-	if ((dp = kmem_zalloc(dop->length, KM_SLEEP)) == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		return (ENOMEM);
-	}
+	dp = kmem_zalloc(dop->length, KM_SLEEP);
 
 	if (ddi_copyin((void *)(uintptr_t)dop->buffer, dp, dop->length,
 	    mode) != 0) {
--- old/usr/src/uts/common/io/fibre-channel/fca/qlc/ql_mbx.c	2014-10-23 11:04:55.396948108 -0400
+++ new/usr/src/uts/common/io/fibre-channel/fca/qlc/ql_mbx.c	2014-10-23 11:04:55.404569968 -0400
@@ -1277,10 +1277,6 @@
 
 	pkt_size = sizeof (ql_mbx_iocb_t);
 	pkt = kmem_zalloc(pkt_size, KM_SLEEP);
-	if (pkt == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		return (QL_MEMORY_ALLOC_FAILED);
-	}
 
 	pkt->mgmt.entry_type = TASK_MGMT_TYPE;
 	pkt->mgmt.entry_count = 1;
@@ -1647,10 +1643,6 @@
 
 	pkt_size = sizeof (ql_mbx_iocb_t);
 	pkt = kmem_zalloc(pkt_size, KM_SLEEP);
-	if (pkt == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		return (QL_MEMORY_ALLOC_FAILED);
-	}
 
 	pkt->log.entry_type = LOG_TYPE;
 	pkt->log.entry_count = 1;
@@ -2695,10 +2687,7 @@
 	QL_PRINT_3(CE_CONT, "(%d): started\n", ha->instance);
 
 	pkt_size = sizeof (ql_mbx_iocb_t);
-	if ((pkt = kmem_zalloc(pkt_size, KM_SLEEP)) == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		return (QL_MEMORY_ALLOC_FAILED);
-	}
+	pkt = kmem_zalloc(pkt_size, KM_SLEEP);
 
 	pkt->abo.entry_type = ABORT_CMD_TYPE;
 	pkt->abo.entry_count = 1;
--- old/usr/src/uts/common/io/fibre-channel/fca/qlc/ql_nx.c	2014-10-23 11:04:55.697321757 -0400
+++ new/usr/src/uts/common/io/fibre-channel/fca/qlc/ql_nx.c	2014-10-23 11:04:55.702373325 -0400
@@ -1393,10 +1393,6 @@
 	}
 
 	buf = kmem_zalloc(n * sizeof (struct crb_addr_pair), KM_SLEEP);
-	if (buf == NULL) {
-		EL(ha, "Unable to zalloc memory\n");
-		return (-1);
-	}
 
 	for (i = 0; i < n; i++) {
 		if (ql_8021_rom_fast_read(ha, 8 * i + 4 * offset, &val) != 0 ||
--- old/usr/src/uts/common/io/fibre-channel/fca/qlc/ql_xioctl.c	2014-10-23 11:04:55.899047566 -0400
+++ new/usr/src/uts/common/io/fibre-channel/fca/qlc/ql_xioctl.c	2014-10-23 11:04:55.904291035 -0400
@@ -185,20 +185,11 @@
 	}
 
 	xp = kmem_zalloc(sizeof (ql_xioctl_t), KM_SLEEP);
-	if (xp == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		return (ENOMEM);
-	}
 	ha->xioctl = xp;
 
 	/* Allocate AEN tracking buffer */
 	xp->aen_tracking_queue = kmem_zalloc(EXT_DEF_MAX_AEN_QUEUE *
 	    sizeof (EXT_ASYNC_EVENT), KM_SLEEP);
-	if (xp->aen_tracking_queue == NULL) {
-		EL(ha, "failed, kmem_zalloc-2\n");
-		ql_free_xioctl_resource(ha);
-		return (ENOMEM);
-	}
 
 	QL_PRINT_9(CE_CONT, "(%d): done\n", ha->instance);
 
@@ -1530,12 +1521,6 @@
 	/* Allocate command block. */
 	pkt_size = (uint32_t)(sizeof (ql_mbx_iocb_t) + pld_byte_cnt);
 	pkt = kmem_zalloc(pkt_size, KM_SLEEP);
-	if (pkt == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		cmd->Status = EXT_STATUS_NO_MEMORY;
-		cmd->ResponseLen = 0;
-		return;
-	}
 	pld = (caddr_t)pkt + sizeof (ql_mbx_iocb_t);
 
 	/* Get command payload data. */
@@ -2140,12 +2125,6 @@
 		pld_size = cmd->ResponseLen;
 		pkt_size = (uint32_t)(sizeof (ql_mbx_iocb_t) + pld_size);
 		pkt = kmem_zalloc(pkt_size, KM_SLEEP);
-		if (pkt == NULL) {
-			EL(ha, "failed, kmem_zalloc\n");
-			cmd->Status = EXT_STATUS_NO_MEMORY;
-			cmd->ResponseLen = 0;
-			return;
-		}
 		pld = (caddr_t)pkt + sizeof (ql_mbx_iocb_t);
 
 		/* Get DMA memory for the IOCB */
@@ -2198,11 +2177,6 @@
 
 		pkt_size = sizeof (ql_mbx_iocb_t);
 		pkt = kmem_zalloc(pkt_size, KM_SLEEP);
-		if (pkt == NULL) {
-			EL(ha, "failed, kmem_zalloc-2\n");
-			cmd->Status = EXT_STATUS_NO_MEMORY;
-			return;
-		}
 		pld = NULL;
 		pld_size = 0;
 	}
@@ -3362,12 +3336,6 @@
 
 	/* Allocate command memory. */
 	bp = kmem_zalloc(plbreq.TransferCount, KM_SLEEP);
-	if (bp == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		cmd->Status = EXT_STATUS_NO_MEMORY;
-		cmd->ResponseLen = 0;
-		return;
-	}
 
 	/* Get loopback data. */
 	if (ql_get_buffer_data((caddr_t)(uintptr_t)plbreq.BufferAddress,
@@ -3660,12 +3628,6 @@
 
 	/* Allocate memory for command. */
 	tmp_buf = kmem_zalloc(SEND_RNID_RSP_SIZE, KM_SLEEP);
-	if (tmp_buf == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		cmd->Status = EXT_STATUS_NO_MEMORY;
-		cmd->ResponseLen = 0;
-		return;
-	}
 
 	if (local_hba) {
 		rval = ql_get_rnid_params(ha, SEND_RNID_RSP_SIZE, tmp_buf);
@@ -4031,10 +3993,6 @@
 
 	pkt_size = sizeof (ql_mbx_iocb_t) + sizeof (ql_rpt_lun_lst_t);
 	pkt = kmem_zalloc(pkt_size, KM_SLEEP);
-	if (pkt == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		return (0);
-	}
 	rpt = (ql_rpt_lun_lst_t *)((caddr_t)pkt + sizeof (ql_mbx_iocb_t));
 
 	/* Get DMA memory for the IOCB */
@@ -4275,10 +4233,6 @@
 
 	pkt_size = sizeof (ql_mbx_iocb_t) + INQ_DATA_SIZE;
 	pkt = kmem_zalloc(pkt_size, KM_SLEEP);
-	if (pkt == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		return (0);
-	}
 	inq = (uint8_t *)((caddr_t)pkt + sizeof (ql_mbx_iocb_t));
 
 	cnt = 0;
@@ -4698,10 +4652,7 @@
 		return (QL_FUNCTION_FAILED);
 	}
 
-	if ((fdesc = kmem_zalloc(sizeof (flash_desc_t), KM_SLEEP)) == NULL) {
-		EL(ha, "kmem_zalloc=null\n");
-		return (QL_MEMORY_ALLOC_FAILED);
-	}
+	fdesc = kmem_zalloc(sizeof (flash_desc_t), KM_SLEEP);
 	rval = ql_dump_fcode(ha, (uint8_t *)fdesc, sizeof (flash_desc_t),
 	    ha->flash_desc_addr << 2);
 	if (rval != QL_SUCCESS) {
@@ -5435,12 +5386,6 @@
 
 	/* Allocate memory for command. */
 	tmp_buf = kmem_zalloc(sizeof (EXT_RNID_DATA), KM_SLEEP);
-	if (tmp_buf == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		cmd->Status = EXT_STATUS_NO_MEMORY;
-		cmd->ResponseLen = 0;
-		return;
-	}
 
 	rval = ql_get_rnid_params(ha, sizeof (EXT_RNID_DATA),
 	    (caddr_t)tmp_buf);
@@ -5498,12 +5443,6 @@
 
 	/* Allocate memory for command. */
 	tmp_buf = kmem_zalloc(sizeof (EXT_RNID_DATA), KM_SLEEP);
-	if (tmp_buf == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		cmd->Status = EXT_STATUS_NO_MEMORY;
-		cmd->ResponseLen = 0;
-		return;
-	}
 
 	/* Send command */
 	rval = ql_get_rnid_params(ha, sizeof (EXT_RNID_DATA),
@@ -5635,12 +5574,6 @@
 
 	/* Allocate memory for command. */
 	ls = kmem_zalloc(sizeof (ql_link_stats_t), KM_SLEEP);
-	if (ls == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		cmd->Status = EXT_STATUS_NO_MEMORY;
-		cmd->ResponseLen = 0;
-		return;
-	}
 
 	/*
 	 * I think these are supposed to be port statistics
@@ -5757,12 +5690,6 @@
 
 	/* Allocate memory for command. */
 	ls = kmem_zalloc(sizeof (ql_link_stats_t), KM_SLEEP);
-	if (ls == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		cmd->Status = EXT_STATUS_NO_MEMORY;
-		cmd->ResponseLen = 0;
-		return;
-	}
 
 	rval = ql_get_link_status(ha, tq->loop_id, sizeof (ql_link_stats_t),
 	    (caddr_t)ls, 0);
@@ -6972,10 +6899,7 @@
 
 	/* Process flash layout table header */
 	len = sizeof (ql_flt_ptr_t);
-	if ((bp = kmem_zalloc(len, KM_SLEEP)) == NULL) {
-		EL(ha, "kmem_zalloc=null\n");
-		return;
-	}
+	bp = kmem_zalloc(len, KM_SLEEP);
 
 	/* Process pointer to flash layout table */
 	if ((rval = ql_dump_fcode(ha, bp, len, flt_paddr)) != QL_SUCCESS) {
@@ -7032,10 +6956,7 @@
 	QL_PRINT_9(CE_CONT, "(%d): started faddr=%xh\n", ha->instance, faddr);
 
 	/* Process flash layout table header */
-	if ((bp = kmem_zalloc(FLASH_LAYOUT_TABLE_SIZE, KM_SLEEP)) == NULL) {
-		EL(ha, "kmem_zalloc=null\n");
-		return;
-	}
+	bp = kmem_zalloc(FLASH_LAYOUT_TABLE_SIZE, KM_SLEEP);
 	fhdr = (ql_flt_hdr_t *)bp;
 
 	/* Process flash layout table. */
@@ -7711,12 +7632,6 @@
 
 	/* Allocate payload buffer */
 	payload = kmem_zalloc(FWEXTSIZE, KM_SLEEP);
-	if (payload == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		cmd->Status = EXT_STATUS_NO_MEMORY;
-		cmd->ResponseLen = 0;
-		return;
-	}
 
 	/* Sync DMA buffer. */
 	(void) ddi_dma_sync(ha->fwexttracebuf.dma_handle, 0,
@@ -7800,12 +7715,6 @@
 
 	/* Allocate payload buffer */
 	payload = kmem_zalloc(FWEXTSIZE, KM_SLEEP);
-	if (payload == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		cmd->Status = EXT_STATUS_NO_MEMORY;
-		cmd->ResponseLen = 0;
-		return;
-	}
 
 	/* Sync DMA buffer. */
 	(void) ddi_dma_sync(ha->fwfcetracebuf.dma_handle, 0,
@@ -7922,10 +7831,6 @@
 	QL_PRINT_9(CE_CONT, "(%d): started\n", ha->instance);
 
 	ptr32 = kmem_zalloc(pci_size, KM_SLEEP);
-	if (ptr32 == NULL) {
-		EL(ha, "failed kmem_zalloc\n");
-		return (ENOMEM);
-	}
 
 	/* store the initial value of ptr32 */
 	org_ptr32 = ptr32;
@@ -8073,12 +7978,6 @@
 
 	/* Allocate packet. */
 	pkt = kmem_zalloc(sizeof (ql_mbx_iocb_t), KM_SLEEP);
-	if (pkt == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		cmd->Status = EXT_STATUS_NO_MEMORY;
-		cmd->ResponseLen = 0;
-		return;
-	}
 
 	pkt->mvfy.entry_type = VERIFY_MENLO_TYPE;
 	pkt->mvfy.entry_count = 1;
@@ -8188,14 +8087,6 @@
 		return;
 	}
 	pkt = kmem_zalloc(sizeof (ql_mbx_iocb_t), KM_SLEEP);
-	if (pkt == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		kmem_free(dma_mem, sizeof (dma_mem_t));
-		ql_restart_hba(ha);
-		cmd->Status = EXT_STATUS_NO_MEMORY;
-		cmd->ResponseLen = 0;
-		return;
-	}
 
 	/* Get DMA memory for the IOCB */
 	if (ql_get_dma_mem(ha, dma_mem, fw.TotalByteCount, LITTLE_ENDIAN_DMA,
@@ -8327,13 +8218,6 @@
 
 	/* Allocate packet. */
 	pkt = kmem_zalloc(sizeof (ql_mbx_iocb_t), KM_SLEEP);
-	if (pkt == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		ql_restart_driver(ha);
-		cmd->Status = EXT_STATUS_NO_MEMORY;
-		cmd->ResponseLen = 0;
-		return;
-	}
 
 	pkt->mdata.entry_type = MENLO_DATA_TYPE;
 	pkt->mdata.entry_count = 1;
@@ -8823,12 +8707,6 @@
 
 	/* Allocate memory for command. */
 	tmp_buf = kmem_zalloc(EXT_DEF_DCBX_PARAM_BUF_SIZE, KM_SLEEP);
-	if (tmp_buf == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		cmd->Status = EXT_STATUS_NO_MEMORY;
-		cmd->ResponseLen = 0;
-		return;
-	}
 	/* Send command */
 	rval = ql_get_dcbx_params(ha, EXT_DEF_DCBX_PARAM_BUF_SIZE,
 	    (caddr_t)tmp_buf);
@@ -9071,12 +8949,6 @@
 
 	/* Allocate memory for command. */
 	tmp_buf = kmem_zalloc(size, KM_SLEEP);
-	if (tmp_buf == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		cmd->Status = EXT_STATUS_NO_MEMORY;
-		cmd->ResponseLen = 0;
-		return;
-	}
 
 	if (!(info.Operation & MENLO_OP_GET_INFO)) {
 		EL(ha, "Invalid request for 81XX\n");
@@ -9154,12 +9026,6 @@
 	}
 	/* Allocate memory for command. */
 	tmp_buf = kmem_zalloc(fcf_list.BufSize, KM_SLEEP);
-	if (tmp_buf == NULL) {
-		EL(ha, "failed, kmem_zalloc\n");
-		cmd->Status = EXT_STATUS_NO_MEMORY;
-		cmd->ResponseLen = 0;
-		return;
-	}
 	/* build the descriptor */
 	if (fcf_list.Options) {
 		mb_fcf_list.options = FCF_LIST_RETURN_ONE;
--- old/usr/src/uts/common/io/fibre-channel/fca/qlge/qlge_flash.c	2014-10-23 11:04:56.394227077 -0400
+++ new/usr/src/uts/common/io/fibre-channel/fca/qlge/qlge_flash.c	2014-10-23 11:04:56.400955400 -0400
@@ -241,12 +241,6 @@
 		return (DDI_FAILURE);
 	}
 	temp = kmem_zalloc(sector_size, KM_SLEEP);
-	if (temp == NULL) {
-		cmn_err(CE_WARN, "%s(%d): Unable to allocate buffer",
-		    __func__, qlge->instance);
-		ql_sem_unlock(qlge, QL_FLASH_SEM_MASK);
-		return (DDI_FAILURE);
-	}
 
 	(void) ql_unprotect_flash(qlge);
 
--- old/usr/src/uts/common/io/iwh/iwh.c	2014-10-23 11:04:56.591396030 -0400
+++ new/usr/src/uts/common/io/iwh/iwh.c	2014-10-23 11:04:56.596785198 -0400
@@ -1799,11 +1799,6 @@
 	iwh_amrr_t *amrr;
 
 	amrr = kmem_zalloc(sizeof (iwh_amrr_t), KM_SLEEP);
-	if (NULL == amrr) {
-		cmn_err(CE_WARN, "iwh_node_alloc(): "
-		    "failed to allocate memory for amrr structure\n");
-		return (NULL);
-	}
 
 	iwh_amrr_init(amrr);
 
--- old/usr/src/uts/common/io/iwp/iwp.c	2014-10-23 11:04:56.922803764 -0400
+++ new/usr/src/uts/common/io/iwp/iwp.c	2014-10-23 11:04:56.927891587 -0400
@@ -1736,11 +1736,6 @@
 	iwp_amrr_t *amrr;
 
 	amrr = kmem_zalloc(sizeof (iwp_amrr_t), KM_SLEEP);
-	if (NULL == amrr) {
-		cmn_err(CE_WARN, "iwp_node_alloc(): "
-		    "failed to allocate memory for amrr structure\n");
-		return (NULL);
-	}
 
 	iwp_amrr_init(amrr);
 
--- old/usr/src/uts/common/io/mwl/mwl.c	2014-10-23 11:04:57.231361922 -0400
+++ new/usr/src/uts/common/io/mwl/mwl.c	2014-10-23 11:04:57.238352267 -0400
@@ -569,11 +569,6 @@
 
 	datadlen = count * sizeof (struct mwl_txbuf);
 	ring->buf = kmem_zalloc(datadlen, KM_SLEEP);
-	if (ring->buf == NULL) {
-		MWL_DBG(MWL_DBG_DMA, "mwl: mwl_alloc_tx_ring(): "
-		    "could not alloc tx ring data buffer\n");
-		return (DDI_FAILURE);
-	}
 	bzero(ring->buf, count * sizeof (struct mwl_txbuf));
 
 	for (i = 0; i < count; i++) {
@@ -2226,12 +2221,6 @@
 	struct mwl_node *mn;
 
 	mn = kmem_zalloc(sizeof (struct mwl_node), KM_SLEEP);
-	if (mn == NULL) {
-		/* XXX stat+msg */
-		MWL_DBG(MWL_DBG_MSG, "mwl: mwl_node_alloc(): "
-		    "alloc node failed\n");
-		return (NULL);
-	}
 	return (&mn->mn_node);
 }
 
--- old/usr/src/uts/common/io/net80211/net80211_crypto_ccmp.c	2014-10-23 11:04:57.538420747 -0400
+++ new/usr/src/uts/common/io/net80211/net80211_crypto_ccmp.c	2014-10-23 11:04:57.543296024 -0400
@@ -87,8 +87,6 @@
 	struct ccmp_ctx *ctx;
 
 	ctx = kmem_zalloc(sizeof (struct ccmp_ctx), KM_SLEEP);
-	if (ctx == NULL)
-		return (NULL);
 
 	ctx->cc_ic = ic;
 	return (ctx);
--- old/usr/src/uts/common/io/net80211/net80211_crypto_tkip.c	2014-10-23 11:04:57.693999427 -0400
+++ new/usr/src/uts/common/io/net80211/net80211_crypto_tkip.c	2014-10-23 11:04:57.699021738 -0400
@@ -104,8 +104,6 @@
 	struct tkip_ctx *ctx;
 
 	ctx = kmem_zalloc(sizeof (struct tkip_ctx), KM_SLEEP);
-	if (ctx == NULL)
-		return (NULL);
 
 	ctx->tc_ic = ic;
 	return (ctx);
--- old/usr/src/uts/common/io/ntxn/unm_nic_init.c	2014-10-23 11:04:57.857566168 -0400
+++ new/usr/src/uts/common/io/ntxn/unm_nic_init.c	2014-10-23 11:04:57.862817998 -0400
@@ -314,11 +314,6 @@
 		    unm_nic_driver_name, n);
 
 	buf = kmem_zalloc(n * sizeof (struct crb_addr_pair), KM_SLEEP);
-	if (buf == NULL) {
-		cmn_err(CE_WARN, "%s: pinit_from_rom: Unable to get memory\n",
-		    unm_nic_driver_name);
-		return (-1);
-	}
 
 	for (i = 0; i < n; i++) {
 		if (rom_fast_read(adapter, 8*i + 4*offset, &val) != 0 ||
--- old/usr/src/uts/common/io/pciex/hotplug/pcie_hp.c	2014-10-23 11:04:58.016340887 -0400
+++ new/usr/src/uts/common/io/pciex/hotplug/pcie_hp.c	2014-10-23 11:04:58.021449524 -0400
@@ -129,8 +129,7 @@
 		return (DDI_EINVAL);
 
 	/* copyin packed nvlist */
-	if ((packed = kmem_alloc(packed_sz, KM_SLEEP)) == NULL)
-		return (DDI_ENOMEM);
+	packed = kmem_alloc(packed_sz, KM_SLEEP);
 
 	if (copyin(packed_buf, packed, packed_sz) != 0) {
 		cmn_err(CE_WARN, "pcie_copyin_nvlist: copyin failed.\n");
--- old/usr/src/uts/common/io/rtw/rtw.c	2014-10-23 11:04:58.199350731 -0400
+++ new/usr/src/uts/common/io/rtw/rtw.c	2014-10-23 11:04:58.206658904 -0400
@@ -816,12 +816,6 @@
 
 	sr->sr_content = kmem_zalloc(sr->sr_size, KM_SLEEP);
 
-	if (sr->sr_content == NULL) {
-		cmn_err(CE_WARN, "%s: unable to allocate SROM buffer\n",
-		    dvname);
-		return (ENOMEM);
-	}
-
 	(void) memset(sr->sr_content, 0, sr->sr_size);
 
 	/*
--- old/usr/src/uts/common/io/scsi/adapters/mpt_sas/mptsas_impl.c	2014-10-23 11:04:58.486450584 -0400
+++ new/usr/src/uts/common/io/scsi/adapters/mpt_sas/mptsas_impl.c	2014-10-23 11:04:58.491414450 -0400
@@ -1044,9 +1044,6 @@
 	m_event_struct_t	*ioc_cmd = NULL;
 
 	ioc_cmd = kmem_zalloc(M_EVENT_STRUCT_SIZE, KM_SLEEP);
-	if (ioc_cmd == NULL) {
-		return (DDI_FAILURE);
-	}
 	ioc_cmd->m_event_linkp = NULL;
 	mptsas_ioc_event_cmdq_add(mpt, ioc_cmd);
 	*cmd = &(ioc_cmd->m_event_cmd);
--- old/usr/src/uts/common/io/scsi/adapters/pmcs/pmcs_attach.c	2014-10-23 11:04:58.725248431 -0400
+++ new/usr/src/uts/common/io/scsi/adapters/pmcs/pmcs_attach.c	2014-10-23 11:04:58.730200313 -0400
@@ -1882,11 +1882,6 @@
 	pwp->cip_dma_attr.dma_attr_align = sizeof (uint32_t);
 
 	pchunk = kmem_zalloc(sizeof (pmcs_chunk_t), KM_SLEEP);
-	if (pchunk == NULL) {
-		pmcs_prt(pwp, PMCS_PRT_DEBUG, NULL, NULL,
-		    "Not enough memory for DMA chunks");
-		return (-1);
-	}
 
 	if (pmcs_dma_setup(pwp, &pwp->cip_dma_attr, &pchunk->acc_handle,
 	    &pchunk->dma_handle, nsize, (caddr_t *)&pchunk->addrp,
--- old/usr/src/uts/common/io/scsi/targets/ses_safte.c	2014-10-23 11:04:58.966124075 -0400
+++ new/usr/src/uts/common/io/scsi/targets/ses_safte.c	2014-10-23 11:04:58.971097960 -0400
@@ -26,8 +26,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/modctl.h>
 #include <sys/file.h>
 #include <sys/scsi/scsi.h>
@@ -112,8 +110,6 @@
 		return (ENXIO);
 
 	sdata = kmem_alloc(SCRATCH, KM_SLEEP);
-	if (sdata == NULL)
-		return (ENOMEM);
 
 	lp->uscsi_flags = USCSI_READ|USCSI_RQENABLE;
 	lp->uscsi_timeout = ses_io_time;
@@ -180,10 +176,6 @@
 	mutex_enter(&ssc->ses_devp->sd_mutex);
 	if (ssc->ses_private == NULL) {
 		ssc->ses_private = kmem_zalloc(SAFTE_PRIVATE, KM_SLEEP);
-		if (ssc->ses_private == NULL) {
-			mutex_exit(&ssc->ses_devp->sd_mutex);
-			return (ENOMEM);
-		}
 	}
 
 	ssc->ses_nobjects = 0;
--- old/usr/src/uts/common/io/usb/hcd/uhci/uhciutil.c	2014-10-23 11:04:59.146436984 -0400
+++ new/usr/src/uts/common/io/usb/hcd/uhci/uhciutil.c	2014-10-23 11:04:59.151803246 -0400
@@ -3124,14 +3124,8 @@
 	dev_attr.devacc_attr_dataorder		= DDI_STRICTORDER_ACC;
 
 	/* Allocate the TD pool structures */
-	if ((info->td_pools = kmem_zalloc(
-	    (sizeof (uhci_bulk_isoc_td_pool_t) * info->num_pools),
-	    KM_SLEEP)) == NULL) {
-		USB_DPRINTF_L2(PRINT_MASK_ATTA, uhcip->uhci_log_hdl,
-		    "uhci_alloc_memory_for_tds: alloc td_pools failed");
-
-		return (USB_FAILURE);
-	}
+	info->td_pools = kmem_zalloc((sizeof (uhci_bulk_isoc_td_pool_t) *
+	    info->num_pools), KM_SLEEP);
 
 	for (i = 0; i < info->num_pools; i++) {
 		if (info->num_pools == 1) {
--- old/usr/src/uts/common/io/usb/usba/whcdi.c	2014-10-23 11:04:59.473354117 -0400
+++ new/usr/src/uts/common/io/usb/usba/whcdi.c	2014-10-23 11:04:59.478395540 -0400
@@ -1430,9 +1430,6 @@
 	 * is set each time
 	 */
 	disconn_ie = kmem_zalloc(sizeof (wusb_ie_dev_disconnect_t), KM_SLEEP);
-	if (!disconn_ie) {
-		return (USB_NO_RESOURCES);
-	}
 
 	disconn_ie->bIEIdentifier = WUSB_IE_DEV_DISCONNECT;
 	disconn_ie->bDeviceAddress[0] = addr;
--- old/usr/src/uts/common/io/xge/drv/xgell.c	2014-10-23 11:04:59.701688478 -0400
+++ new/usr/src/uts/common/io/xge/drv/xgell.c	2014-10-23 11:04:59.706591491 -0400
@@ -2498,9 +2498,6 @@
 	char *buf;
 
 	buf = kmem_alloc(XGELL_STATS_BUFSIZE, KM_SLEEP);
-	if (buf == NULL) {
-		return (ENOSPC);
-	}
 
 	status = xge_hal_aux_stats_tmac_read(lldev->devh, XGELL_STATS_BUFSIZE,
 	    buf, &retsize);
@@ -2564,9 +2561,6 @@
 	char *buf;
 
 	buf = kmem_alloc(XGELL_PCICONF_BUFSIZE, KM_SLEEP);
-	if (buf == NULL) {
-		return (ENOSPC);
-	}
 	status = xge_hal_aux_pci_config_read(lldev->devh, XGELL_PCICONF_BUFSIZE,
 	    buf, &retsize);
 	if (status != XGE_HAL_OK) {
@@ -2590,9 +2584,6 @@
 	char *buf;
 
 	buf = kmem_alloc(XGELL_ABOUT_BUFSIZE, KM_SLEEP);
-	if (buf == NULL) {
-		return (ENOSPC);
-	}
 	status = xge_hal_aux_about_read(lldev->devh, XGELL_ABOUT_BUFSIZE,
 	    buf, &retsize);
 	if (status != XGE_HAL_OK) {
@@ -2618,9 +2609,6 @@
 	char *buf;
 
 	buf = kmem_alloc(XGELL_IOCTL_BUFSIZE, KM_SLEEP);
-	if (buf == NULL) {
-		return (ENOSPC);
-	}
 	status = xge_hal_aux_bar0_read(lldev->devh, bar0_offset,
 	    XGELL_IOCTL_BUFSIZE, buf, &retsize);
 	if (status != XGE_HAL_OK) {
@@ -2663,9 +2651,6 @@
 	char *buf;
 
 	buf = kmem_alloc(XGELL_IOCTL_BUFSIZE, KM_SLEEP);
-	if (buf == NULL) {
-		return (ENOSPC);
-	}
 	(void) mi_mpprintf(mp, "debug_level %d", xge_hal_driver_debug_level());
 	kmem_free(buf, XGELL_IOCTL_BUFSIZE);
 
@@ -2695,9 +2680,6 @@
 	char *buf;
 
 	buf = kmem_alloc(XGELL_IOCTL_BUFSIZE, KM_SLEEP);
-	if (buf == NULL) {
-		return (ENOSPC);
-	}
 	(void) mi_mpprintf(mp, "debug_module_mask 0x%08x",
 	    xge_hal_driver_debug_module_mask());
 	kmem_free(buf, XGELL_IOCTL_BUFSIZE);
@@ -2736,9 +2718,6 @@
 	char *buf;
 
 	buf = kmem_alloc(XGELL_DEVCONF_BUFSIZE, KM_SLEEP);
-	if (buf == NULL) {
-		return (ENOSPC);
-	}
 	status = xge_hal_aux_device_config_read(lldev->devh,
 	    XGELL_DEVCONF_BUFSIZE, buf, &retsize);
 	if (status != XGE_HAL_OK) {
--- old/usr/src/uts/common/io/yge/yge.c	2014-10-23 11:04:59.929539069 -0400
+++ new/usr/src/uts/common/io/yge/yge.c	2014-10-23 11:04:59.934512744 -0400
@@ -1015,10 +1015,6 @@
 
 	dev->d_intrsize = count * sizeof (ddi_intr_handle_t);
 	dev->d_intrh = kmem_zalloc(dev->d_intrsize, KM_SLEEP);
-	if (dev->d_intrh == NULL) {
-		yge_error(dev, NULL, "Unable to allocate interrupt handle");
-		return (DDI_FAILURE);
-	}
 
 	rv = ddi_intr_alloc(dip, dev->d_intrh, intr_type, 0, dev->d_intrcnt,
 	    &actual, DDI_INTR_ALLOC_STRICT);
--- old/usr/src/uts/common/os/sunddi.c	2014-10-23 11:05:00.180892999 -0400
+++ new/usr/src/uts/common/os/sunddi.c	2014-10-23 11:05:00.186043856 -0400
@@ -5538,10 +5538,6 @@
 	}
 
 	pathname = kmem_alloc(MAXPATHLEN, KM_SLEEP);
-	if (pathname == NULL) {
-		sysevent_free(ev);
-		return (DDI_SUCCESS);
-	}
 
 	(void) ddi_pathname(dip, pathname);
 	ASSERT(strlen(pathname));
@@ -7796,8 +7792,7 @@
 		return (DDI_FAILURE);
 	}
 
-	if ((i_devid = kmem_zalloc(sz, KM_SLEEP)) == NULL)
-		return (DDI_FAILURE);
+	i_devid = kmem_zalloc(sz, KM_SLEEP);
 
 	i_devid->did_magic_hi = DEVID_MAGIC_MSB;
 	i_devid->did_magic_lo = DEVID_MAGIC_LSB;
--- old/usr/src/uts/common/rpc/sec_gss/svc_rpcsec_gss.c	2014-10-23 11:05:00.638724287 -0400
+++ new/usr/src/uts/common/rpc/sec_gss/svc_rpcsec_gss.c	2014-10-23 11:05:00.643698416 -0400
@@ -1853,9 +1853,6 @@
 
 	rdata = kmem_zalloc(sizeof (*rdata), KM_SLEEP);
 
-	if (rdata == NULL)
-		return;
-
 	rdata->xid = xid;
 	rdata->result = *result;
 
--- old/usr/src/uts/i86pc/io/gfx_private/gfxp_devmap.c	2014-10-23 11:05:00.838980368 -0400
+++ new/usr/src/uts/i86pc/io/gfx_private/gfxp_devmap.c	2014-10-23 11:05:00.843887106 -0400
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/debug.h>
 #include <sys/types.h>
 #include <sys/param.h>
@@ -65,9 +63,6 @@
 
 	umem_cookie = kmem_zalloc(sizeof (struct ddi_umem_cookie), KM_SLEEP);
 
-	if (umem_cookie == NULL)
-		return (NULL);
-
 	umem_cookie->cvaddr = kva;
 	umem_cookie->type = KMEM_NON_PAGEABLE;
 	umem_cookie->size = size;
--- old/usr/src/uts/i86pc/io/gfx_private/gfxp_pci.c	2014-10-23 11:05:00.987269343 -0400
+++ new/usr/src/uts/i86pc/io/gfx_private/gfxp_pci.c	2014-10-23 11:05:00.992141252 -0400
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/debug.h>
 #include <sys/types.h>
 #include <sys/param.h>
@@ -164,10 +162,7 @@
 	 * space of this device.
 	 */
 
-	if ((pci_bsf = kmem_zalloc(sizeof (gfxp_pci_bsf_t), KM_SLEEP))
-			== NULL) {
-		return (NULL);
-	}
+	pci_bsf = kmem_zalloc(sizeof (gfxp_pci_bsf_t), KM_SLEEP);
 
 	pci_bsf->bus = bus;
 	pci_bsf->slot = slot;
@@ -330,8 +325,7 @@
 	 * Find a PCI device based on its device and vendor id.
 	 */
 
-	if ((pci_bsf = kmem_zalloc(sizeof (gfxp_pci_bsf_t), KM_SLEEP)) == NULL)
-	    return (0);
+	pci_bsf = kmem_zalloc(sizeof (gfxp_pci_bsf_t), KM_SLEEP);
 
 	pci_bsf->vendor = vendor;
 	pci_bsf->device = device;
--- old/usr/src/uts/intel/io/dktp/dcdev/dadk.c	2014-10-23 11:05:01.141354466 -0400
+++ new/usr/src/uts/intel/io/dktp/dcdev/dadk.c	2014-10-23 11:05:01.146194034 -0400
@@ -741,13 +741,8 @@
 		if (head < 0 || head >= dadkp->dad_phyg.g_head)
 			return (ENXIO);
 		secbuf = kmem_zalloc(NBPSCTR, KM_SLEEP);
-		if (!secbuf)
-			return (ENOMEM);
+
 		bp = getrbuf(KM_SLEEP);
-		if (!bp) {
-			kmem_free(secbuf, NBPSCTR);
-			return (ENOMEM);
-		}
 
 		bp->b_edev = dev;
 		bp->b_dev  = cmpdev(dev);
@@ -1691,9 +1686,7 @@
 	int err;
 	struct cmpkt *pktp;
 
-	if ((bp = getrbuf(KM_SLEEP)) == NULL) {
-		return (ENOMEM);
-	}
+	bp = getrbuf(KM_SLEEP);
 	pktp = dadk_pktprep(dadkp, NULL, bp, dadk_rmb_iodone, NULL, NULL);
 	if (!pktp) {
 		freerbuf(bp);
--- old/usr/src/uts/intel/io/drm/i915_gem.c	2014-10-23 11:05:01.369927470 -0400
+++ new/usr/src/uts/intel/io/drm/i915_gem.c	2014-10-23 11:05:01.376868609 -0400
@@ -2453,10 +2453,6 @@
         pgcnt_t np = btop(obj->size);
 
         obj_priv->page_list = kmem_zalloc(np * sizeof(caddr_t), KM_SLEEP);
-        if (obj_priv->page_list == NULL) {
-                DRM_ERROR("Faled to allocate page list\n");
-                return ENOMEM;
-        }
 
 	for (i = 0, va = obj->kaddr; i < np; i++, va += PAGESIZE) {
 		obj_priv->page_list[i] = va;
--- old/usr/src/uts/intel/io/heci/heci_init.c	2014-10-23 11:05:01.623625058 -0400
+++ new/usr/src/uts/intel/io/heci/heci_init.c	2014-10-23 11:05:01.628561225 -0400
@@ -784,10 +784,6 @@
 	/* allocate storage for ME clients representation */
 	clients = kmem_zalloc(dev->num_heci_me_clients*
 	    sizeof (struct heci_me_client), KM_SLEEP);
-	if (!clients) {
-		DBG("memory allocation for ME clients failed.\n");
-		return (-ENOMEM);
-	}
 
 	mutex_enter(&dev->device_lock);
 	dev->me_clients = clients;
@@ -1051,8 +1047,6 @@
 	struct heci_file_private *priv;
 
 	priv = kmem_zalloc(sizeof (struct heci_file_private), KM_SLEEP);
-	if (!priv)
-		return (NULL);
 
 	heci_init_file_private(priv, file);
 
@@ -1099,8 +1093,6 @@
 		return (0);
 
 	priv_cb = kmem_zalloc(sizeof (struct heci_cb_private), KM_SLEEP);
-	if (!priv_cb)
-		return (-ENOMEM);
 
 	LIST_INIT_HEAD(&priv_cb->cb_list);
 	priv_cb->file_private = file_ext;
--- old/usr/src/uts/intel/os/fmsmb.c	2014-10-23 11:05:01.808572972 -0400
+++ new/usr/src/uts/intel/os/fmsmb.c	2014-10-23 11:05:01.813552463 -0400
@@ -652,8 +652,6 @@
 
 	cont_len = sizeof (id_t);
 	cont_hdl = kmem_zalloc(cont_count * cont_len, KM_SLEEP);
-	if (cont_hdl == NULL)
-		return (0);
 
 	rc = smbios_info_contains(shp, bb_id, cont_count, cont_hdl);
 	if (rc > SMB_CONT_MAX) {
--- old/usr/src/uts/sun4/io/pcicfg.c	2014-10-23 11:05:01.985578358 -0400
+++ new/usr/src/uts/sun4/io/pcicfg.c	2014-10-23 11:05:01.990810379 -0400
@@ -5979,12 +5979,6 @@
 	 */
 	*fcode_addr = kmem_zalloc(ptob(btopr(*fcode_size)), KM_SLEEP);
 
-	if (*fcode_addr == NULL) {
-		DEBUG0("kmem_zalloc returned NULL\n");
-		pcicfg_unmap_phys(&h, &p);
-		return (PCICFG_FAILURE);
-	}
-
 	DEBUG1("Fcode Addr %lx\n", *fcode_addr);
 
 	ddi_rep_get8(h, *fcode_addr, addr + start_of_fcode, *fcode_size,
--- old/usr/src/uts/sun4/io/px/px_mmu.c	2014-10-23 11:05:02.348793607 -0400
+++ new/usr/src/uts/sun4/io/px/px_mmu.c	2014-10-23 11:05:02.355379484 -0400
@@ -53,8 +53,6 @@
 	 * px state structure.
 	 */
 	mmu_p = kmem_zalloc(sizeof (px_mmu_t), KM_SLEEP);
-	if (mmu_p == NULL)
-		return (DDI_FAILURE);
 
 	px_p->px_mmu_p = mmu_p;
 	mmu_p->mmu_px_p = px_p;
